Load adjustment

Adjust a previous transaction, load a wallet

REQUEST

PATH PARAMETERS

ParameterType & ConstraintsDescription
terminalIDstring10 charactersrequiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring1-255 charactersrequiredThe reference of the wallet to load
requestAmountintegerrequiredThe amount to be loaded
narrativestring1-255 charactersrequiredThe description of the terminal where the card was used
transactionDatastring0-2048 charactersrequiredExtra information about the transaction in a KLV Format
referenceIDstring1-255 charactersrequiredTransaction ID of the original transaction to be adjusted.
referenceDatedaterequiredTransaction date of the original transaction or a repeat of the original load to be adjusted. In case of a refund there will not be an original transaction so in that case this field will contain the current date and time to fulfill xmlrpc requirements.
transactionIDstring1-255 charactersrequiredTransaction ID number generated by the calling client. Note that the Transaction ID is not a unique value and may be duplicated over time.
transactionDatedaterequiredTransaction date generated by the calling client
checksumstringrequiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

  <?xml version="1.0"?>
  <methodCall>
    <methodName>LoadAdjustment</methodName>
    <params>
      <param><value><string>0067545417</string></value></param>
      <param><value><string>d4b9d9d7-8c21-42bc-9b11-88564aade690</string></value></param>
      <param><value><int>146</int></value></param>
      <param><value><string>20200823T06:13:45/IDIGIC INTERNET NOR</string></value></param>
      <param><value><string>00215719318600032099004120000000001490260473110410004215000000000204294049038400850025003ADJ25110Adjustment25201025304735225400255002560201</string></value></param>
      <param><value><string>571894</string></value></param>
      <param><value><dateTime.iso8601>20200823T06:13:45</dateTime.iso8601></value></param>
      <param><value><string>2C77948C-F65A-8554-EC6BF66A619DF8F7</string></value></param>
      <param><value><dateTime.iso8601>20200824T03:18:55</dateTime.iso8601></value></param>
    </params>
    <param>
      <value><string>2D3E695617493BC1F3788181143975E6865A2C14</string></value>
    </param>
  </methodCall>

RESPONSE

STATUS 200 OK

SCHEMA

FieldTypeDescription
resultCodeintegerStatus code indicating transaction result

    <methodResponse>
      <params>
        <param>
          <value>
            <struct>
              <member>
                <name>resultCode</name>
                <value><int>1</int></value>
              </member>
            </struct>
          </value>
        </param>
      </params>
    </methodResponse>
  
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Load adjustment request

string
string
string
date-time
string
int64
string
string
date-time
string
Responses
200

Successful adjustment

400

Invalid request parameters

404

Original transaction not found

409

Adjustment conflict (already processed)

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!